%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

%define gtk2_version 2.2.4
%define libgnomeui_version 2.4.0.1
%define gnome_vfs2_version 2.4.0
%define librsvg2_version 2.4.0
# %define bonobo_activation_version @bonobo-activation_version@
%define libxml2_version 2.5.11
%define libart_lgpl_version 2.3.16
%define gail_version 1.4.0

Name:		eel2
Summary:        Eazel Extensions Library.
Version: 	2.4.0
Release: 	1
License: 	GPL
Group: 		System Environment/Libraries
Source: 	eel-%{version}.tar.bz2

Patch0:		eel-2.4.0-aix.patch
Patch1:		eel-2.4.0-autotools.patch

URL: 		http://nautilus.eazel.com/
BuildRoot:	/var/tmp/%{name}-%{version}-root

Requires: gtk2 >= %{gtk2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: librsvg2 >= %{librsvg2_version}
# Requires: bonobo-activation >= %{bonobo_activation_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libart_lgpl >= %{libart_lgpl_version}

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: librsvg2-devel >= %{librsvg2_version}
# BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: pango

%description
Eazel Extensions Library is a collection of widgets and functions for
use with GNOME.

%package devel
Summary: Libraries and include files for developing with Eel.
Group: Development/Libraries
Requires: %{name} = %{version}

Requires: gtk2-devel >= %{gtk2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: librsvg2-devel >= %{librsvg2_version}
# Requires: bonobo-activation-devel >= %{bonobo_activation_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: gail-devel >= %{gail_version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%prep
%setup -q -n eel-%{version}

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/eel-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/eel-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%clean

%files 
%defattr(-,root,system)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.a
%{_datadir}/locale/*/LC_MESSAGES/eel-2.0.mo

/usr/lib/lib*.a

%files devel
%defattr(-,root,system)
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig
%{_includedir}/eel-2/eel

/usr/include/eel-2
